/*============ Very large Device ===========*/
@media (min-width:1441px) and (max-width:1919px) {

    /* header top area */
    .header_top_area {
        padding: 10px 50px;
    }

    .main_menu_area {
        padding: 0 50px;
    }
}

/*============ Desktop Device ===========*/
@media (min-width:1366px) and (max-width:1440px) {

    h1,
    h2,
    h3,
    h4,
    h5,
    h6,
    h1 a,
    h2 a,
    h3 a,
    h4 a,
    h5 a,
    h6 a {
        font-weight: 500 !important;
        font-size: 20px;
    }

    /* header top area */
    .header_top_area {
        padding: 10px 50px;
    }

    .main_menu_area {
        padding: 0 50px;
    }

    /* slider area css */
    .inner_slider_area {
        height: 800px;
    }

    .inner_slider_content h2 {
        font-size: 60px;
    }

    .inner_slider_content p {
        width: 100%;
    }

    /* sectio title area css */
    .section_title_area h3,
    .inner_call_action h1 {
        font-size: 30px;
    }

    .sp_inner_price_title h2 {
        font-size: 20px;
    }

    .single_post_comment_area input {
        width: 46%;
        margin-bottom: 20px;
    }

    .inner_single_post_checkbox input {
        display: none;
    }
}

/*============ Laptop Device ===========*/
@media (min-width:1024px) and (max-width:1365px) {

    h1,
    h2,
    h3,
    h4,
    h5,
    h6,
    h1 a,
    h2 a,
    h3 a,
    h4 a,
    h5 a,
    h6 a {
        font-weight: 500 !important;
        font-size: 20px;
    }

    h2 {
        font-size: 18px;
    }

    h3 {
        font-size: 16px;
    }

    /* header top area */
    .header_top_area {
        padding: 10px 20px;
    }

    .main_menu_area {
        padding: 0 20px;
    }

    .inner_main_nav_area>ul>li>a {
        font-size: 16px;
    }

    /* slider area css */
    .inner_slider_area {
        height: 600px;
    }

    .inner_slider_content h2 {
        font-size: 40px;
    }

    .inner_slider_content p {
        width: 100%;
    }

    /* sectio title area css */
    .section_title_area h3,
    .inner_call_action h1 {
        font-size: 25px;
    }

    .sp_inner_price_title h2 {
        font-size: 20px;
    }

    .ycalender_inner th {
        padding: 10px 10px;
    }

    .ycalender_inner td {
        padding: 10px 10px;
        font-size: 13px;
    }

    .single_post_comment_area input {
        width: 46%;
        margin-bottom: 20px;
    }

    .inner_single_post_checkbox input {
        display: none;
    }

    #scrollUp {
        bottom: 50px;
    }
}

/*============= Tablet Large device ===============*/
@media (min-width:992px) and (max-width:1023px) {

    h1,
    h2,
    h3,
    h4,
    h5,
    h6,
    h1 a,
    h2 a,
    h3 a,
    h4 a,
    h5 a,
    h6 a {
        font-weight: 500 !important;
        font-size: 20px;
    }

    h2 {
        font-size: 18px;
    }

    h3 {
        font-size: 16px;
    }

    /* header top area */
    .header_top_area {
        padding: 10px 20px;
    }

    .main_menu_area {
        padding: 0 20px;
    }

    .inner_main_nav_area>ul>li>a {
        font-size: 16px;
    }

    /* slider area css */
    .inner_slider_area {
        height: 600px;
    }

    .inner_slider_content h2 {
        font-size: 40px;
    }

    .inner_slider_content p {
        width: 100%;
    }

    /* sectio title area css */
    .section_title_area h3,
    .inner_call_action h1 {
        font-size: 25px;
    }

    .sp_inner_price_title h2 {
        font-size: 20px;
    }

    .ycalender_inner th {
        padding: 10px 10px;
    }

    .ycalender_inner td {
        padding: 10px 10px;
        font-size: 13px;
    }

    .single_post_comment_area input {
        width: 46%;
        margin-bottom: 20px;
    }

    .inner_single_post_checkbox input {
        display: none;
    }

    #scrollUp {
        bottom: 50px;
    }

}

/*============= Tablet device ===============*/
@media (min-width:768px) and (max-width:991px) {

    h1,
    h2,
    h3,
    h4,
    h5,
    h6,
    h1 a,
    h2 a,
    h3 a,
    h4 a,
    h5 a,
    h6 a {
        font-weight: 500 !important;
        font-size: 18px;
    }

    h1 {
        font-size: 24px;
    }

    h2 {
        font-size: 18px;
    }

    h3 {
        font-size: 16px;
    }

    /* header top area */
    .header_top_area {
        padding: 10px 20px;
    }

    .header_left,
    .header_right,
    .copyright_text,
    .copyright_nav,
    .call_right_btn,
    .inner_call_action {
        text-align: center !important;
    }

    /* mobile menu css */
    .mobile_menu {
        display: block !important;
    }

    .mobile_logo_area {
        display: block !important;
        text-align: center;
        padding: 10px 0;
    }

    /* main menu css */
    .main_menu_area {
        display: none;
    }

    /* slider area css */
    .inner_slider_area {
        height: 500px;
    }

    .inner_slider_content {
        text-align: center;
    }

    .inner_slider_content h2 {
        font-size: 40px;
    }

    .inner_slider_content p {
        width: 100%;
    }

    /* sectio title area css */
    .section_title_area h3,
    .inner_call_action h1 {
        font-size: 25px;
    }

    .inner_team_area,
    .witr_circle_area,
    .inner_blog_area,
    .footer_widget {
        margin-bottom: 20px;
    }

    .inner_choose_right {
        padding: 0 20px;
    }

    .sp_inner_price_title h2 {
        font-size: 20px;
    }

    .ycalender_inner th {
        padding: 10px 10px;
    }

    .ycalender_inner td {
        padding: 10px 10px;
    }

    .single_post_comment_area input {
        width: 43%;
    }

    .inner_single_post_checkbox input {
        display: none;
    }

    .single_post_comment_area textarea {
        width: 100%;
    }
}

/*============= mobile large device ===============*/
@media (max-width:767px) {

    h1,
    h2,
    h3,
    h4,
    h5,
    h6,
    h1 a,
    h2 a,
    h3 a,
    h4 a,
    h5 a,
    h6 a {
        font-size: 18px;
        margin-bottom: 5px;
    }

    h1 {
        font-size: 24px;
    }

    h2 {
        font-size: 18px;
    }

    /* header top area */
    .header_top_area {
        padding: 10px 20px;
    }

    .header_left,
    .header_right,
    .copyright_text,
    .copyright_nav,
    .call_right_btn,
    .inner_call_action {
        text-align: center !important;
    }

    /* mobile menu css */
    .mobile_menu {
        display: block !important;
    }

    .mobile_logo_area {
        display: block !important;
        text-align: center;
        padding: 5px 0;
    }

    .mobile_menu_logo img {
        max-height: 56px;
    }

    /* main menu css */
    .main_menu_area {
        display: none;
    }

    /* slider area css */
    .inner_slider_area {
        height: 500px;
    }

    .inner_slider_content {
        text-align: center;
    }

    .inner_slider_content h2 {
        font-size: 30px;
    }

    .inner_slider_content p {
        width: 100%;
    }

    .r_btn a {
        padding: 10px 17px;
        font-size: 14px;
    }

    .witr_youtube_video iframe {
        height: 500px;
    }

    /* sectio title area css */
    .section_title_area h3,
    .inner_call_action h1 {
        font-size: 22px;
    }

    .inner_about_area,
    .witr_circle_area,
    .inner_team_area,
    .inner_blog_area,
    .footer_widget {
        margin-bottom: 20px;
    }

    /* faq area css */
    .inner_faq_img {
        margin-top: 20px;
    }

    .inner_faq_img img {
        width: 100%;
    }

    .sp_inner_price_title h2 {
        font-size: 20px;
    }

    .single_post_comment_area input {
        width: 100%;
        margin-bottom: 20px;
    }

    .inner_single_post_checkbox input {
        display: none;
    }

    .single_post_comment_area textarea {
        width: 100%;
    }

    .mobile_logo_area {
        height: 65px;
        position: fixed;
        top: 0;
        z-index: 999;
        width: 100%;
        background-color: #fff;
    }

    .product_area .item .service-info {
        padding: 20px 20px 10px 20px;
    }

    .product_area .item .service-info h6 {
        font-size: 20px;
    }

    .product {
        padding: 30px 0;
    }

    .product .filter-outer {
        width: 100%;
        position: relative;
        top: unset;
    }

    .product .list {
        width: 100%;
        padding-left: 15px;
        padding-right: 15px;
        margin-right: 0;
        margin-top: 10px;
    }

    .product-item {
        padding-left: 7.5px;
        padding-right: 7.5px;
    }

    .product .filter .title {
        font-size: 25px;
    }

    .product-item .text {
        height: auto;
        -webkit-line-clamp: unset;
        margin-top: 10px;
        margin-bottom: 20px;
    }

    .product-detail-1 {
        padding-top: 40px;
        padding-bottom: 30px;
    }

    .gallery-prev,
    .gallery-next {
        width: 40px;
        height: 40px;
    }

    .gallery-prev i,
    .gallery-next i {
        font-size: 25px;
    }

    .product-detail-1 .right .box {
        padding-left: 20px;
        padding-right: 20px;
    }

    .product-detail-1 .right .title {
        font-size: 19px;
        margin-top: 25px;
        margin-bottom: 20px;
    }

    .product-detail-1 .right .p-item .intro {
        padding-right: 0;
    }

    .product-detail-1 .right .btn-group {
        margin-top: 10px;
        padding-bottom: 30px;
    }

    .product-detail-1 .right .btn-group .item:nth-child(odd) {
        font-size: 15px;
    }

    .product-detail-1 .plate-item {
        margin-top: 30px;
    }

    .product-detail-1 .plate-item h3 {
        font-size: 30px;
    }

    .product-detail-1 .plate-item p {
        font-size: 15px;
    }

    .product-detail-1 .plate-item .left,
    .product-detail-1 .plate-item .right {
        flex: 0 0 100%;
        max-width: 100%;
    }

    .product-detail-1 .plate-item:nth-child(3) h3 {
        margin-bottom: 30px;
    }

    .product-detail-1 .plate-item .item:nth-child(1) .left,
    .product-detail-1 .plate-item .item:nth-child(1) .right {
        padding-top: 15px;
        padding-bottom: 15px;
    }

    .product-detail-1 .plate-item span {
        font-size: 15px;
    }

    .product-detail-1 .item .left:nth-child(even) {
        text-align: right;
    }

    .product_area .item .service-info span {
        font-size: 14px;
    }

    .mean-container .mean-nav ul li a {
        /* padding: 14px 5px; */
    }

    .recommend {
        padding-top: 30px;
        padding-bottom: 30px;
    }

    #recommend {
        margin-top: 20px;
    }

    .recommend h3 {
        font-size: 24px;
    }

    .recommend .recommend-prev {
        left: 0;
    }

    .recommend .recommend-next {
        right: 0;
    }

    .recommend-prev,
    .recommend-next {
        width: 40px;
        height: 40px;
        top: 40%;
    }

    .recommend-prev i,
    .recommend-next i {
        font-size: 25px;
    }

    .slider_area,
    .breadcum_area {
        margin-top: 65px;
    }

    .inner_breadcum_area {
        padding: 50px 0;
    }

    .inner_breadcum_area h1 {
        font-size: 25px;
    }

    .product-detail-1 .right .btn-group .item a {
        font-size: 16px;
    }

    .inner_contact_area {
        padding: 60px 10px 60px 10px;
    }

    .inner_contact_form button {
        font-size: 15px;
    }

    .inner_contact_form input {
        height: 43px;
    }

    .inner_contact_form input::placeholder {
        font-size: 15px;
    }

    .section_title_area {
        margin-bottom: 30px;
    }

    .inner_about_list ul li {
        font-size: 15px;
        margin: 10px 0 8px;
    }

    .line {
        margin: 15px auto 0 auto;
    }

    .contact_area {
        padding: 30px 0 30px;
    }

    .call_to_action {
        margin: 30px 0 0;
        padding: 60px 0 60px;
    }

    .call_right_btn {
        margin-top: 20px;
    }

    .call_right_btn a {
        font-size: 15px;
        padding: 9px 40px 9px 40px;
    }

    .inner_contact_area {
        padding: 60px 10px 30px 10px;
    }

    .inner_contact_form input {
        padding: 0 15px;
    }

    .inner_contact_form button {
        font-size: 14px;
        padding: 10px 26px;
    }

    .inner_breadcum_area ul li i,
    .inner_breadcum_area ul li a i {
        font-size: 20px;
    }

    .project_area {
        padding: 40px 0 30px;
    }

    .blog_area {
        padding: 50px 0 50px;
    }

    .blog_sub_btn a {
        font-size: 16px;
    }

    .product_area {
        padding: 60px 0 60px;
    }

    .about_area {
        padding: 50px 0 50px;
    }

    .about_area .right {
        margin-top: 20px;
    }

    .yblog_left {
        padding: 50px 0 35px;
    }

    .yblog_left .right .box {
        position: relative;
        top: unset;
        margin-top: 50px;
    }

    .inner_contact_area {
        padding: 30px 10px 30px 10px;
    }

    .about_area .r_btn a {
        padding: 8px 20px;
    }

    .footer_area.main-footer {
        display: none;
    }

    .footer_area.mobile-footer {
        display: block;
        text-align: left;
    }

    .mobile-footer .panel-heading .panel-title,
    .mobile-footer .panel-heading:after,
    .copyright_text p,
    .footer_nav ul li a {
        color: #cacaca;
    }

    .footer_address ul li i {
        margin-right: 7px;
    }

    .copyright_text {
        padding-bottom: 13px;
    }

    .footer_nav ul {
        margin-left: 10px;
    }

    .f_widget_form input {
        height: 45px;
    }

    .footer_area .email-intro {
        font-size: 14px;
    }

    .f_widget_form button {
        font-size: 13px;
        padding: 11px 20px;
    }

    #mc4wp-form-4 {
        margin-top: 20px;
    }

    .copyright_text {
        border-top: 1px solid #666666;
        margin-top: 24px;
        padding-top: 24px;
        padding-bottom: 12px;
    }

    .inner_about_right_area {
        height: 285px;
    }

    .sidebar {
        top: unset;
        bottom: 25px;
    }

    .back-to-top {
        width: 28px;
        height: 28px;
        font-size: 13px;
        line-height: 14px;
        box-shadow: 1px 1px 5px #b8b8b8;
    }

    .right-sidebar i {
        font-size: 14px;
        padding-top: 7px;
    }

    .blog_area .inner_blog_content p {
        font-size: 15px;
        margin-bottom: 5px;
    }

    .inner_blog_text span {
        font-size: 15px;
    }

    .blog_sub_btn {
        padding: 5px 20px 25px;
    }

    .blog_sub_btn a {
        font-size: 15px;
    }

    .product .filter .title {
        padding: 0 0 15px 0;
    }

    .product .filter .level-1 li {
        padding: 13px 0 5px 0;
    }

    .product-detail-1 .right .title {
        font-size: 22px;
    }

    .product-detail-1 .right .p-item .item-title {
        font-size: 18px;
    }

    .product-detail-1 .right .btn-group {
        margin-top: 0;
    }

    .recommend {
        padding-left: 10px;
        padding-right: 10px;
    }

    .inquiry_area .section_title_area {
        margin-bottom: 20px;
    }

    .inner_contact_form input::placeholder,
    .inner_contact_form textarea::placeholder {
        font-size: 13px;
    }

    .inner_contact_area {
        padding: 30px 10px 30px 10px;
    }

    .inner_contact_form input {
        height: 37px;
        margin-bottom: 16px;
    }

    .inner_contact_form textarea {
        height: 120px;
    }

    .inner_contact_form textarea {
        padding: 15px 15px;
    }

    .contact-form .col-mdd-12 {
        padding-left: 10px;
        padding-right: 10px;
    }

    .inner_slider_content p{
        font-size: 17px;
    }

    .product-item{
        margin-bottom: 25px;
    }

    .product-item .text{
        margin-bottom: 15px;
    }

    .product-detail-1 .right .btn-group .item{
        padding: 6px 30px;
    }

    #contact-form .col-md-12{
        padding-left: 10px;
        padding-right: 10px;
    }
    .product .filter .level-1 li a span{
        font-size: 17px;
    }
    .product .level-1{
        padding-top: 5px;
    }

    .pagination{
        padding-top: 1rem;
    }
    
    .pagination a{
        width: 35px;
        height: 35px;
        line-height: 33px;
    }

    .call_right_btn a{
        color: #fff;
        background-color: var(--primary-color);
        padding: 9px 27px 9px 27px;
        border-radius: 1px;
    }
}

/*============= mobile device ===============*/
@media (min-width:320px) and (max-width:480px) {
    .inner_slider_content {
        width: 90%;
    }

    .inner_slider_content h2 {
        font-size: 24px;
    }

    .ycalender_inner th {
        padding: 10px 10px;
    }

    .ycalender_inner td {
        padding: 10px 10px;
        font-size: 13px;
    }

    .footer_area {
        text-align: center;
    }

    #scrollUp {
        bottom: 10px;
        right: 20px;
    }
}